# TCLAP::StringLike Struct Reference

A string like argument value type is a value that can be set using operator=(string). More...

`#include <ArgTraits.h>`

List of all members.

## Public Member Functions
virtual | ~StringLike ()

## Detailed Description

A string like argument value type is a value that can be set using operator=(string).

Usefull if the value type contains spaces which will be broken up into individual tokens by operator>>.

Definition at line 48 of file ArgTraits.h.

## Constructor & Destructor Documentation

virtual TCLAP::StringLike::~StringLike | ( |  | ) | `[inline, virtual]`

Definition at line 49 of file ArgTraits.h.

The documentation for this struct was generated from the following file:

- ArgTraits.h